### Function

# Camel utf8_putc

#### Declaration [src]

    void
    camel_utf8_putc (
      guchar** ptr,
      guint32 c
    )

#### Description [src]

Output a 32 bit unicode character as UTF-8 octets. At most 4 octets will be written to `ptr`. The `ptr` will be advanced to the next character position.

#### Parameters

`ptr`

  Type: `guchar**`

  Pointer to write the character to.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`c`

  Type: `guint32`

  A Unicode character to write.